Agora Java API Reference for Android

Classes | Public Attributes | List of all members
io.agora.rtc2.proxy.LocalAccessPointConfiguration Class Reference

Local Access Point configuration. More...

## Classes
class | AdvancedConfigInfo
| Advanced options for the Local Access Point. More...
class | LogUploadServerInfo
| Configuration information of the log server. More...

## Public Attributes
ArrayList< String > | ipList = null
ArrayList< String > | domainList = null
String | verifyDomainName = null
int | mode = Constants.LOCAL_RPOXY_CONNECTIVITY_FIRST
boolean | disableAut = true
AdvancedConfigInfo | advancedConfig = null

## Detailed Description

Local Access Point configuration.

## Member Data Documentation

## ◆ ipList

ArrayList<String> io.agora.rtc2.proxy.LocalAccessPointConfiguration.ipList = null

The list of internal IP addresses for the Local Access Point. Either `ipList` or `domainList` must be provided.

## ◆ domainList

ArrayList<String> io.agora.rtc2.proxy.LocalAccessPointConfiguration.domainList = null

The domain name list for the Local Access Point. The SDK resolves the IP addresses of the Local Access Point based on the domain names you provide. The domain name resolution timeout is 10 seconds. At least one of `ipList` or `domainList` must be provided. If you specify both IP addresses and domain names, the SDK merges and deduplicates the IP addresses resolved from the domain names and the ones you specify, then randomly connects to one IP address to achieve load balancing.

## ◆ verifyDomainName

String io.agora.rtc2.proxy.LocalAccessPointConfiguration.verifyDomainName = null

Intranet certificate verification domain. If the value is empty, the SDK uses the default certificate verification domain `secure-edge.local`.

## ◆ mode

int io.agora.rtc2.proxy.LocalAccessPointConfiguration.mode = Constants.LOCAL_RPOXY_CONNECTIVITY_FIRST

Connection mode:

- LOCAL_RPOXY_CONNECTIVITY_FIRST (0): The SDK first attempts to connect to the specified Agora private media server; if the connection to the specified Agora private media server fails, it connects to the Agora SD-RTN™.
- LOCAL_RPOXY_LOCAL_ONLY (1): The SDK only attempts to connect to the specified Agora private media server.

## ◆ disableAut

boolean io.agora.rtc2.proxy.LocalAccessPointConfiguration.disableAut = true

Whether to disable vos-aut:

- true: (Default)disable vos-aut.
- false: not disable vos-aut

## ◆ advancedConfig

AdvancedConfigInfo io.agora.rtc2.proxy.LocalAccessPointConfiguration.advancedConfig = null

Advanced options for the Local Access Point. See `AdvancedConfigInfo` for details.